Версия MODx Evo

Добрый вечер!
Я являюсь неслышащий, то есть с детства с нарушением слуха. Я не программист, простой любитель. В 2012 году я создал простой сайт (благодаря Виктору Ефимову (скрыны, особенно видеоуроки), Я гу.ру) для предприятия Тексма, сайт работает до сих пор. Версия MODx Evo 1.0.5.
Я хочу обновить новый сайт (новый шаблон, адаптивный, например). Решил установить новую версию 1.4.12, после установки в админе верхняя панель, где Элементы, Модули, Пользователи, Инструменты, настройка, не реагирует. Кликаю-кликаю или указываю мышью, не реагирует. И некоторые иконки отсутствуют, вместо квадратика. Подумал, может из-за версии браузера Chrome, просто у меня ОС ХР, поэтому не поддерживаются новые браузеры. Причина в этом? (Установил в хостинге)



Узнал, что, (правда давняя информация, но я только узнал) там некоторые старые компоненты заменены новыми, например,
— Ditto на DocLister;
— Wayfinder на DLMenu;
— Breadcrumbs на DLCrumbs;
— Eform на FormLister;
Получилось мне придется найти время, чтобы изучать, искать информацию, как правильно писать. Я же не спец. Из-за мое состояние, мне будет не легко найти, ну может найду, но долго. Подумал, можно установить, например, по моему, 1.3.х, но сниппеты старые, как говорили, что они дырявые, желательно заменить.
Уже не знаю, какую мне версию установить или оставить старую версию и обновить сайт?
Посоветуйте. Спасибо.

11 комментариев

avatar
На 1.0.5 накатить сразу сверху 1.4.12.
Пардон. Но проблема у вас другая.
  • 3fir
  • +1
avatar
Какая проблема? Имеете в виду не реагируют кнопки?
avatar
1. Попробуйте начать обновлять постепенно. Не сразу до последней версии.
2. Установите Google Chrome и обновите его до последней версии. Если на XP это сработает, то возможно сможете работать.
3. Если нужна помощь, пишите мне в телеграм @paulsavchenkov, помогу чем смогу.
avatar
Последняя версия хрома на хрюшке не поддерживает ряд функций админки, да и с fontawesome пичалька. Я ради интереса попробовал последние maxton и k-meleon для нее же поставить — один фик не работает.
avatar
Ну в принципе логично.
Я ж и говорю. 2021 год. Win XP у кого-то для работы… Для работы Карл!
avatar
Да, точно браузер старый. Еще только узнал, что это fontawesome. Какой я древний. Старый браузер не все «читает» fontawesome.

Источник fontawesome

Думаю, сначала в локалке обновлю до 1.0.15, пока попользуюсь, как сайт готов. И в Киеве (я пока за городом) переношу в хостинг, постепенно обновлю до последней версии. Там Win 10, последняя версия браузера. Если, что напишу.
— Evo 1.0.15 нормально работает?
— Последняя версия Chrome на Win 10 поддерживает ряд функций админки?
avatar
Отдыхайте на праздниках) Приедете домой, обновитесь, через червонец все норм будет. Можете сразу прокидывать до 1.4.12)
avatar
Сначала до 1.2.1
Потом до 1.4.12
Касательно компонентов: они не заменены, просто появились более действенные альтернативы, для «старичков» сделаны апдейты.
avatar
Да, под XP уже работать невозоможно, современный браузеры не поддерживаются. Ставьте хотя бы какой-нибудь линукс, или семерку.
avatar
Сорри, подумал что у вас семерка, а ХП, ну реально очень древняя, тут надо систему менять по-хорошему. Впрочем, вот вам решение.
Устанавливаете 1.4.12, далее, с перезаписью кидаете распакованные файлы из этого архива, очищаете папку assets/cache/.
Кривенько, конечно, но хоть что-то.
avatar
Если комп слабенький — можно поставить какой-нибудь простой линукс как дополнение, или просто запустить с usb, тот же Linux Mint с оболочкой XFCE. Там в комплекте будут хотя бы новые браузеры + другой какой-никакой софт типа редакторов, а при необходимости можно доставить даже в режиме live usb
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.